Loading...
Searching...
No Matches
RDKit::RascalMCES::RascalOptions Struct Reference

`#include <RascalOptions.h>`

## Public Attributes

double | similarityThreshold
bool | completeAromaticRings
bool | ringMatchesRingOnly
bool | singleLargestFrag
int | minFragSize
int | maxFragSeparation = -1
bool | allBestMCESs
int | timeout = 60
bool | doEquivBondPruning
bool | returnEmptyMCES = false
unsigned int | maxBondMatchPairs = 1000

## Detailed Description

Definition at line 19 of file RascalOptions.h.

## Member Data Documentation

## allBestMCESs

bool RDKit::RascalMCES::RascalOptions::allBestMCESs

Initial value:
=
false

Definition at line 33 of file RascalOptions.h.

## completeAromaticRings

bool RDKit::RascalMCES::RascalOptions::completeAromaticRings

Initial value:
=
true

Definition at line 22 of file RascalOptions.h.

## doEquivBondPruning

bool RDKit::RascalMCES::RascalOptions::doEquivBondPruning

Initial value:
=
false

Definition at line 37 of file RascalOptions.h.

## maxBondMatchPairs

unsigned int RDKit::RascalMCES::RascalOptions::maxBondMatchPairs = 1000

Definition at line 43 of file RascalOptions.h.

## maxFragSeparation

int RDKit::RascalMCES::RascalOptions::maxFragSeparation = -1

Definition at line 31 of file RascalOptions.h.

## minFragSize

int RDKit::RascalMCES::RascalOptions::minFragSize

Initial value:
=
-1

Definition at line 29 of file RascalOptions.h.

## returnEmptyMCES

bool RDKit::RascalMCES::RascalOptions::returnEmptyMCES = false

Definition at line 40 of file RascalOptions.h.

## ringMatchesRingOnly

bool RDKit::RascalMCES::RascalOptions::ringMatchesRingOnly

Initial value:
=
false

Definition at line 24 of file RascalOptions.h.

## similarityThreshold

double RDKit::RascalMCES::RascalOptions::similarityThreshold

Initial value:
=
0.7

Definition at line 20 of file RascalOptions.h.

## singleLargestFrag

bool RDKit::RascalMCES::RascalOptions::singleLargestFrag

Initial value:
=
false

Definition at line 26 of file RascalOptions.h.

## timeout

int RDKit::RascalMCES::RascalOptions::timeout = 60

Definition at line 36 of file RascalOptions.h.

The documentation for this struct was generated from the following file:

- RascalOptions.h